Subject: bug#57682: gnome-session and libpcre crash due to environment variable's length

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 09 Sep 2022 17:05:29 +0200

Am Donnerstag, dem 08.09.2022 um 10:10 +0000 schrieb Nashdidan:
> I'm still seeing this issue with current version of gnome-session in
> GuixSD. I had to remove flatpak and unset XDG_DATA_DIRS which
> exceeded 1000 chars to be able to login again.
> 
> https://issues.guix.gnu.org/38309
> 
> Thanks
What is your XDG_DATA_DIRS with and without flatpak?  I personally
doubt this is actually a length issue, as $XDG_DATA_DIRS in a regular
gnome-terminal has 2614 characters – an order of magnitude less than
the number reported in #38309 and very doable on Guix System.

Cheers